Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

GET /v1/public/storefronts/{slug}/buyer

GET/v1/public/storefronts/{slug}/buyer
Path parameters
slugstringrequired
Query parameters
customer_phonestringrequired
Responses
200OK
contact_idstring
customer_namestring
phonestringrequired
recent_order_countinteger<int32>required
saved_addressesStorefrontSavedAddress[] | nullrequired
Show properties
Array of StorefrontSavedAddress
addressstringrequired
area_idstring
area_namestring
citystringrequired
districtstringrequired
labelstring
provincestringrequired
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X GET "/v1/public/storefronts/string/buyer?customer_phone=string"
Response
{
  "contact_id": "string",
  "customer_name": "string",
  "phone": "string",
  "recent_order_count": 0,
  "saved_addresses": [
    {
      "address": "string",
      "area_id": "string",
      "area_name": "string",
      "city": "string",
      "district": "string",
      "label": "string",
      "province": "string"
    }
  ]
}